Summary: Administrative utilities for the XFS filesystem.
Name: xfsdump
Version: 2.2.17
Release: 1.1AX
BuildRoot: %{_builddir}/%{name}-root
Requires: xfsprogs >= 2.0.0, dmapi >= 2.0.0, attr >= 2.0.0
Source: xfsdump-2.2.17.src.tar.gz
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: Applications/Archiving
Patch0: xfsdump-2.2.17-mode.patch

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
%patch0 -p1
/usr/bin/make configure
fi

%build
/usr/bin/make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
export DIST_ROOT DIST_INSTALL
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"

%clean
rm -rf $RPM_BUILD_ROOT

%files -f build/rpm/rpmfiles

%changelog
* Fri Apr 23 2004 Yasuma Takeda <yasuma@miraclelinux.com> 2.2.17-1.1AX
- build for Asianux
